Bug 429231 - "dos2unix -c" results in segmentation fault
"dos2unix -c" results in segmentation fault
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dos2unix (Show other bugs)
5.1
i686 Linux
low Severity low
: rc
: ---
Assigned To: Tim Waugh
: Reopened
Depends On:
Blocks: 531927
  Show dependency treegraph
 
Reported: 2008-01-17 22:00 EST by Peng Haitao
Modified: 2013-04-15 04:54 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.1-30.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 531927 (view as bug list)
Environment:
Last Closed: 2009-02-11 09:28:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is a patch fixing this bug (1.56 KB, patch)
2008-01-17 22:00 EST, Peng Haitao
no flags Details | Diff

  None (edit)
Description Peng Haitao 2008-01-17 22:00:24 EST
Description of problem:
Use dos2uinx with option "-c convmode" when convmode is not specified,
Segmentation Fault will occur.

Version-Release number of selected component (if applicable):
dos2unix-3.1-27.1

How reproducible:
100%

Steps to Reproduce:
1.dos2unix -c
  
Actual results:
Segmentation fault

Expected results:
dos2unix: option `-c' requires an argument

Additional info:
Comment 1 Peng Haitao 2008-01-17 22:00:24 EST
Created attachment 292100 [details]
This is a patch fixing this bug
Comment 2 Tim Waugh 2008-01-18 04:33:46 EST
Thank you for the patch.  I have applied this in rawhide (for Fedora 9), but
will not be making an update for Red Hat Enterprise Linux 5 for this issue.
Comment 3 Tim Waugh 2008-08-04 04:26:22 EDT
Re-opening in case there is another dos2unix update, in which case we can try to get this fix in at the same time.
Comment 10 errata-xmlrpc 2009-02-11 09:28:48 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0276.html

Note You need to log in before you can comment on or make changes to this bug.